package com.ss.android.ugc.aweme.qna.vm;

import X.1Bn;
import X.2P2;
import X.BTW;
import X.BUY;
import X.BV3;
import X.C3666BTa;
import X.C3701BUj;
import X.C3702BUk;
import X.C3720BVc;
import X.M12;
import androidx.lifecycle.LiveData;
import com.bytedance.covode.number.Covode;
import java.util.List;

public final class QnaQuestionsTabViewModel extends QnaViewModel implements C3701BUj {
    public final BV3 LIZ;
    public final LiveData<BUY<List<BTW>>> LIZIZ;
    public final LiveData<BUY<C3666BTa>> LIZJ;
    public final LiveData<BUY<C3666BTa>> LIZLLL;
    public final LiveData<BUY<Long>> LJ;
    public final LiveData<BUY<2P2>> LJFF;
    public final 1Bn<BUY<C3720BVc>> LJI;
    public final LiveData<BUY<C3702BUk>> LJII;
    public final 1Bn<BUY<C3720BVc>> LJIIIIZZ;
    public final 1Bn<BUY<C3702BUk>> LJIIIZ;

    static {
        Covode.recordClassIndex(101903);
    }

    public final void onCleared() {
        QnaQuestionsTabViewModel.super.onCleared();
        this.LIZ.LJIILIIL.LIZ();
    }

    public QnaQuestionsTabViewModel() {
        BV3 bv3 = new BV3();
        this.LIZ = bv3;
        this.LIZIZ = bv3.LIZIZ;
        this.LIZJ = bv3.LIZJ;
        this.LIZLLL = bv3.LIZLLL;
        this.LJ = bv3.LJI;
        this.LJFF = bv3.LJ;
        1Bn<BUY<C3720BVc>> r0 = new 1Bn<>();
        this.LJIIIIZZ = r0;
        this.LJI = r0;
        1Bn<BUY<C3702BUk>> r02 = new 1Bn<>();
        this.LJIIIZ = r02;
        this.LJII = r02;
    }

    public final void LIZ(C3702BUk bUk) {
        M12.LIZ(bUk);
        this.LJIIIZ.setValue(new BUY(bUk));
    }

    public final void LIZ(C3720BVc bVc) {
        M12.LIZ(bVc);
        this.LJIIIIZZ.setValue(new BUY(bVc));
    }

    public final void LIZ(String str, String str2, String str3, boolean z, boolean z2) {
        String str4 = str2;
        String str5 = str;
        M12.LIZ(str5, str4);
        this.LIZ.LIZ(str5, str4, str3, z, z2);
    }
}
